ApiV1Generators
List current or version-selected EIA generators
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Query Parameters
state?string
status?string
ba_code?string
source_id?string
plant_id?integer
Range
1 <= value <= 2147483647technology?string
min_capacity_mw?number
Range
0 <= valuemax_capacity_mw?number
Range
0 <= valuecursor?string
limit?integer
Range
1 <= value <= 500Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/generators"{ "data": [ { "id": "string", "eiaPlantId": 0, "generatorId": "string", "plantName": "string", "utilityId": 0, "utilityName": "string", "state": "string", "county": "string", "balancingAuthorityCode": "string", "status": "string", "technology": "string", "energySourceCode": "string", "primeMoverCode": "string", "nameplateCapacityMw": 0, "summerCapacityMw": 0, "winterCapacityMw": 0, "operatingDate": "string", "plannedOperationDate": "string", "retirementDate": "string", "preliminary": true, "evidence": { "sourceId": "string", "assetHash": "string", "sourceLocator": "string", "observedAt": "string" }, "qualityFlags": [ { "code": "string", "severity": "info", "field": "string", "message": "string" } ] } ], "meta": { "hasMore": true, "limit": 1, "nextCursor": "string", "order": "id_asc" }}